using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a corpse" )]
	public class CorpseGolem : BaseCreature
	{
		[Constructable]
		public CorpseGolem () : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a corpse golem";
			Body = 318;
			BaseSoundID = 471;
			AnimationMod = 3;

			SetStr( 256, 305 );
			SetDex( 66, 95 );
			SetInt( 31, 55 );

			SetHits( 148, 196 );
			SetMana( 0 );

			SetDamage( 9, 16 );

			SetSkill( SkillName.MagicResist, 60.3, 85.0 );
			SetSkill( SkillName.Tactics, 70.1, 80.0 );
			SetSkill( SkillName.HandToHand, 80.1, 90.0 );

			Fame = 4000;
			Karma = -4000;

			VirtualArmor = 40;

			PackItem( new Bandage( Utility.RandomMinMax( 15, 25 ) ) );
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Rich );
			AddLoot( LootPack.Average );
			AddLoot( LootPack.MedPotions );
		}

		public override bool CanRummageCorpses{ get{ return true; } }
		public override Poison PoisonImmune{ get{ return Poison.Regular; } }
		public override int Meat{ get{ return 2; } }

		public CorpseGolem( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}